// 扩展API加载完毕后调用onPlusReady回调函数  
document.addEventListener("plusready", onPlusReady, false);
var dtask = null;
// 扩展API加载完毕，现在可以正常调用扩展API  
function onPlusReady() {}
// 监听下载任务状态  
function onStateChanged(download, status) {
	if(download.state == 4 && status == 200) {
		// 下载完成  
		alert("Download success: " + download.getFileName());
	}
}
// 创建下载任务  
function createDownload() {
	console.log("开始下载");
	dtask = plus.downloader.createDownload("http://192.168.199.175:8080/ubaby/appDowload/dowload");
	dtask.addEventListener("statechanged", onStateChanged, false);
	dtask.start();
}
// 暂停下载任务  
function pauseDownload() {
	dtask.pause();
}
// 取消下载任务  
function abortDownload() {
	dtask.abort();
}

//检查文件是否存在
function checkFile(filename, aliveFun, dieFun, isDel){
//	console.log('检查文件');
	filename = filename.substring(filename.lastIndexOf("/")+1);
	console.log("checkFile:"+filename);
	var relativePath = "_downloads/ubaby/" + filename;
	var flag = false;
    //检查文件是否已存在
    console.log("checkFile:"+relativePath);
    plus.io.resolveLocalFileSystemURL(relativePath, function(entry) { 
        console.log("文件存在:" + relativePath);
		if(isDel){
			entry.remove();
		}
		aliveFun();
    }, function(e) {
        //不存在则去下载
        console.log("不存在");
        dieFun();
    });
}