//添加自定义覆盖物
function ComplexCustomOverlay(point, text, options){
	this._point = point;
	this._text = text;
	this._options = options || {};
}
ComplexCustomOverlay.prototype = new BMap.Overlay();
ComplexCustomOverlay.prototype.initialize = function(map){
  this._map = map;
  var div = this._div = document.createElement("div");
  div.style.position = this._options.position || "absolute";
  div.style.zIndex = BMap.Overlay.getZIndex(this._point.lat);
  div.style.background = this._options.background || "none";
  div.style.backgroundSize = this._options.backgroundSize || "100%";
  div.style.color = this._options.color || "white";
  div.style.width = this._options.width || "25px";
  div.style.height = this._options.height || "30px";
  div.style.textAlign = this._options.textAlign || "center";
  div.style.lineHeight = this._options.lineHeight || this._options.height || "30px";
  div.style.MozUserSelect = "none";
  div.style.fontSize = this._options.fontSize || "10px";
  var span = this._span = document.createElement("span");
  div.appendChild(span);
  span.appendChild(document.createTextNode(this._text));
  
  map.getPanes().labelPane.appendChild(div);
  
  return div;
}
ComplexCustomOverlay.prototype.draw = function(){
  var map = this._map;
  var pixel = map.pointToOverlayPixel(this._point);
  this._div.style.left = pixel.x - parseInt(this._div.style.width)/2  + "px";
  this._div.style.top  = pixel.y - parseInt(this._div.style.height) + "px";
}