var wgtVer = null;
    var popcontainer = $('<div id="sheet1" class="mui-popover mui-popover-bottom mui-popover-action" style="top: 34.25vw;width: 64vw;left: 16.875vw;bottom: 40vw;background-color: #FFFFFF;border-radius: 5px;"></div>');
	var poptitle = $('<div class="mui-popup-title" style="color: #C9151E;font-size: 0.15rem;padding: 0.1rem 0;border-bottom: 1px solid #C9151E;">发现新版本</div>');
	var popcontentContainer = $('<div class="popFooterContainer" style="padding: 0.1rem 0.15rem 0.085rem 0.06rem;font-size: 0.125rem;"></div>')
	var popupdateContent = $('<div class="updateContent" style="padding: 0.1rem 0.15rem 0.085rem 0.15rem;font-size: 0.175rem;"></div>');
	var popbtn = $('<div class="popBtn"></div>');
	var popbtninput = $('<input type="button" value="立即更新" class="updataClick" id="updataClick" style="position:absolute; bottom:10px; left:10%; width: 80%; height: 0.35rem; padding:0; border: none; font-size: 0.15rem; background-color: #C9151E; color: #FFFFFF; "/>');
	var popContainer = popcontainer.clone();
	var popTitle = poptitle.clone();
	var popContentContainer = popcontentContainer.clone();
	var popUpdateContent = popupdateContent.clone();
	var popBtn = popbtn.clone();
	var popbtnInput = popbtninput.clone();
	
	popTitle.appendTo(popContainer);
	popUpdateContent.appendTo(popContentContainer);
	popContentContainer.appendTo(popContainer);
	popbtnInput.appendTo(popBtn);
	popBtn.appendTo(popContentContainer);
	popContainer.appendTo($('body'))
function plusReady() {
	// 获取本地应用资源版本号
	
	setTimeout(function(){
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		console.log("当前应用版本：" + wgtVer);
		checkUpdate();
	});
	},500)
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}

// 检测更新
var checkUrl = location1 + "/mobile/client/getVersionNumber.action";
// 下载wgt文件
var wgtUrl = "";

function checkUpdate() {
	//  plus.nativeUI.showWaiting("检测更新...");
	$.ajax({
		type: "post",
		url: checkUrl,
		dataType: 'jsonp',
		jsonp: 'callback',
		async: false,
		data: {
			mobileSystem: 'IOS',
			currentVersion: wgtVer
		},
		success: function(data) {
			console.log(JSON.stringify(data));
			if(data.status === 0) {
				if(data.isNew === 0) { // 有更新
					plus.storage.setItem("haveUpdate",'yes');
					if(data.version === 0) { //大版本更新
						$('.updateContent').html(data.contents);
						//mui('#sheet1').popover('toggle');
						showSheet();
						mui('body').on('tap', '#updataClick', function() {
							plus.runtime.openURL(APP_URL_LIST.download);
							plus.runtime.quit();
						})
					}
					if(data.version === 1) { //小版本更新
						plus.nativeUI.closeWaiting();
						// 弹出提示框
						$('.updateContent').html(data.contents);
						//mui('#sheet1').popover('toggle');
						showSheet();
						wgtUrl = data.URL;
						console.log('wgtUrl:' + wgtUrl)
						mui('body').on('tap', '#updataClick', function() {
							downWgt();
							removeSheet();
						})
					}
				}else{
					//如果是最新版本打开icheck
					openIcheck();
					plus.storage.removeItem("haveUpdate");
					plus.storage.setItem("haveUpdate",'no');
				}
			}
		},
		error: function(data) {
			mui.alert(data.msg);
		}
	});
}

function downWgt() {
	//			    plus.nativeUI.showWaiting("下载wgt文件...");
	plus.nativeUI.showWaiting("更新中...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			//console.log("下载wgt成功："+d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			//console.log("下载wgt失败！");
			//			            plus.nativeUI.alert("下载wgt失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}

// 更新应用资源
function installWgt(path) {
	//			    plus.nativeUI.showWaiting("安装wgt文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		//console.log("安装wgt文件成功！");
		plus.nativeUI.alert("应用资源更新完成！", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		//console.log("安装wgt文件失败["+e.code+"]："+e.message);
		plus.nativeUI.alert("安装wgt文件失败[" + e.code + "]：" + e.message);
	});
}

//			mui('#sheet1').popover('toggle');
mui('body').on('tap', '#sheet1', function() {
	//mui('#sheet1').popover('toggle');
})

var sheet1 = document.getElementById("sheet1");
var mask = document.createElement('div');
mask.className = "mui-backdrop mui-backdrop-action mui-active";

function showSheet() {
	if(!sheet1.classList.contains('mui-active')) {
		document.body.appendChild(mask);
		sheet1.style.display = 'block';
		mui.later(function() {
			sheet1.classList.add('mui-active');
		}, 300);
	}
}

function removeSheet() {
	if(sheet1.classList.contains('mui-active')) {
		sheet1.style.display = 'block';
		sheet1.classList.remove('mui-active');
		mui.later(function() {
			mask.parentNode.removeChild(mask);
		}, 300);

	}
}