// for main.html 已经加载页面
var loadWebView = "";


function toUrl(id, toUrl, param) {
//	console.log(param);
//	console.log(JSON.stringify(param));
	var wobj = plus.webview.getWebviewById(id);
	// 使用 localStorage 参数传递用
	localStorage.setItem("to_url_param", undefined!=param?JSON.stringify(param):{});
	mui.openWindow({
		url: toUrl,
		id: id,
		show: {
			aniShow: 'pop-in'
		},
		styles: {
			popGesture: 'hide'
		},
		waiting: {
			autoShow: false
		},
		extras:param
	});
	
    if(wobj) wobj.reload(true);
}

function getToUrlParams(){
	var params = localStorage.getItem("to_url_param");
	
	if(null!=params && ""!=params){
		params = JSON.parse(params);
	}else{
		params = {};
	}
	return params;
}


function toHome(url) {
//	mui.plusReady(function() {
//		plus.webview.show(plus.webview.getLaunchWebview());
//	});
//	console.log("toHome");
//	plus.webview.show(plus.webview.getLaunchWebview()); 
//	return;
	
//	return;
	// 获取所有Webview窗口
//	var curr = plus.webview.currentWebview();
//	var closePage = ['module/main/index.html', 'module/review/index.html', 'module/monthpass/index.html', 
//	'module/grundstudium/index.html', 'module/brandhouse/index.html', 'module/skillsupgrading/index.html', 
//	'module/magcourse/index.html', 'module/find/index.html', 'module/dowload/index.html',
//	'ppt/index.html','video/video.html','testing/question_start.html','testing/question.html'];
//	var wvs = plus.webview.all();
//	for(var i = 0, len = wvs.length; i < len; i++) {
//		//关闭除setting页面外的其他页面
//		for(var j = 0; j < closePage.length; j++) {
//			if(wvs[i].getURL().indexOf(closePage[j]) >= 0){
//				console.log(wvs[i].getURL());
//				plus.webview.close(wvs[i]);
//			}
//		}
//	}
	//打开login页面后再关闭setting页面
	plus.webview.open(url);
	loadWebView = "";
	var home = plus.webview.getWebviewById('ubaby_main.html');
	plus.webview.show(home);
	home.reload(true);
	var curr = plus.webview.currentWebview();
	curr.close();
}

function closeAll() {
	// 获取所有Webview窗口
	var curr = plus.webview.currentWebview();
	var wvs = plus.webview.all();
	for(var i = 0, len = wvs.length; i < len; i++) {
		//关闭除setting页面外的其他页面
		plus.webview.close(wvs[i]);
	}
	//打开login页面后再关闭setting页面
	curr.close();
}

function getLoadWebView(){
	var loadWebView = localStorage.getItem("loadWebView");
	loadWebView = loadWebView?loadWebView:"";
	return loadWebView;
}

function addLoadWebView(lwv){
	var loadWebView = localStorage.getItem("loadWebView");
	loadWebView = loadWebView?loadWebView+lwv:lwv;
	localStorage.setItem("loadWebView", loadWebView);
}
function removeLoadWebView(lwv){
	var loadWebView = localStorage.getItem("loadWebView");
	if(lwv){
		loadWebView = loadWebView.replace(lwv,"");
	}else{
		loadWebView = "";
	}
	console.log("removeLoadWebView:"+lwv);
	localStorage.setItem("loadWebView", loadWebView);
}

function closeById(id){
	var wind = plus.webview.getWebviewById(id);
	if(wind){
		wind.close();
		removeLoadWebView(id);
	} 
}

/**
 * 关闭个人综评  和  月度通关
 * for  ppt和video 进度条
 */
function closeReviewAndMonth(){
	closeById('module/review/index.html');
	closeById('module/monthpass/index.html');
}

function exit(){
	plus.runtime.quit();
}

function toTab(url) {
	console.log("toTab:"+url);

	var indexPage=plus.webview.getWebviewById("ubaby_main.html");
	indexPage.evalJS("toTabById('"+url+"')");
}

function getWindowWidth(){
	return document.documentElement.clientWidth;
}

function getWindowHeight(){
	return  document.documentElement.clientHeight;
}


function ajaxPost(url,param,successFun,errorFun,async){
	console.log("ajaxPost:"+url+",params:"+JSON.stringify(param)); 
	mui.ajax(url,{ 
		data: param,
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		async:undefined!=async && async==false?false:true,
		success:function(data){
			console.log("[HTTP]" + url + ":" + JSON.stringify(data));
			if(undefined!=successFun){
				successFun(data);
			}
		},
		error:function(xhr,type,errorThrown){
			console.log("ajaxPost:error-" + url + ":" +type);
			if(undefined!=errorFun){
				errorFun(xhr,type,errorThrown);
			}
		}
	});
}


function angularPost(angular_http,url,param,successFun,errorFun, isShowLoading){
	console.log("angularPost:"+url+",params:"+JSON.stringify(param)); 
	isShowLoading = undefined!=isShowLoading && isShowLoading==true ? true : false;
	if(isShowLoading){showLoading()}
	angular_http({
	    url:url,
	    params:param,
	    method:"post", 
	}).success(function(data,header,config,status){
		//响应成功
		if(data.result=="01"){
			if(undefined!=successFun){successFun(data)}
			if(isShowLoading){loadingSuccess()}
		}
		else{
			// 业务处理失败
			if(undefined!=errorFun){errorFun(data)}
			if(isShowLoading){loadingError()}
		}
	}).error(function(data,header,config,status){
		//处理响应失败
		if(undefined!=errorFun){errorFun(data)}
		if(isShowLoading){loadingError()}
	});
}


/**
 * 全屏loading
 */
function showLoading(){
	if($(".full-loading").length>0){
		$(".full-loading").show();
		$(".full-loading-info.loading-on").show();
		$(".full-loading-info.loading-error").hide();
	}
}
function loadingSuccess(){
	if($(".full-loading").length>0){
		setTimeout(function(){$(".full-loading").hide()},500);
	}
}
function loadingError(){
	if($(".full-loading").length>0){
		$(".full-loading").show();
		$(".full-loading-info.loading-on").hide();
		$(".full-loading-info.loading-error").show();
	}
}