/*
 * h5+ 图片上传功能
 * 
 * */
function uploadImg(callback) {
	if (mui.os.plus) { 
	    var a = [{ 
	        title: "拍照" 
	    }, { 
	        title: "从手机相册选择" 
	    }]; 
	    plus.nativeUI.actionSheet({ 
	        title: "修改用户头像", 
	        cancel: "取消", 
	        buttons: a 
	    }, function(b) { /*actionSheet 按钮点击事件*/ 
	        switch (b.index) { 
	            case 0: 
	                break; 
	            case 1: 
	                appendByCamera(callback); /*拍照*/ 
	                break; 
	            case 2: 
	                appendByGallery(callback);/*打开相册*/ 
	                break; 
	            default: 
	                break; 
	        } 
	    }) 
	} 
}

// 拍照添加文件
function appendByCamera(callback){
	plus.camera.getCamera().captureImage(function(file){
        plus.io.resolveLocalFileSystemURL(file, function(entry) { 
            var path = entry.toLocalURL() + "?version=" + new Date().getTime();//文件路径
            callback(file,path);//执行回调函数
        }, function(e) { 
            console.log("读取拍照文件错误：" + e.message); 
        }); 
	});	
}

// 从相册添加文件
function appendByGallery(callback){
	plus.gallery.pick(function(file){
        plus.io.resolveLocalFileSystemURL(file, function(entry) { 
            var path = entry.toLocalURL() + "?version=" + new Date().getTime();//文件路径
            callback(file,path);//执行回调函数
        }, function(e) { 
            console.log("读取相册文件错误：" + e.message); 
        }); 
   });
}

