function uploadImgBase64(imgContainer, btn, ajaxfun, options){    
	mui.plusReady(function(){
 
				
		//上传头像图片 
		function uploadHead(imgPath, options) { 
		    //console.log("imgPath = " + imgPath); 
		    var mainImage = document.getElementById(imgContainer);
		    mainImage.src = imgPath; 
		//  mainImage.style.width = "60px"; 
		//  mainImage.style.height = "60px";
	
	        var image = new Image(); 
	        image.src = imgPath; 
	        image.onload = function() {
			    //旋转角度
			    var Orientation = null;
			    var imgData;
			    
				EXIF.getData(this, function(){
				  //获取照片方向  
				  //0度为1 	顺时针90°为6 	逆时针90°为8	180度为3
				  Orientation = EXIF.getTag(this, 'Orientation');
				  imgData = getBase64Image(this, options ,Orientation);
				  ajaxfun(imgData);
				});
		    } 
		} 
		/*点击头像触发*/ 
		document.getElementById(btn).addEventListener('tap', function() { 
		    if (mui.os.plus) { 
		        var a = [{ 
		            title: "拍照" 
		        }, { 
		            title: "从手机相册选择" 
		        }]; 
		        plus.nativeUI.actionSheet({ 
		            title: "修改用户头像", 
		            cancel: "取消", 
		            buttons: a 
		        }, function(b) { /*actionSheet 按钮点击事件*/ 
		            switch (b.index) { 
		                case 0: 
		                    break; 
		                case 1: 
		                    getImage(); /*拍照*/ 
		                    break; 
		                case 2: 
		                    galleryImg();/*打开相册*/ 
		                    break; 
		                default: 
		                    break; 
		            } 
		        }) 
		    } 
		}, false); 
		    
		    
		//拍照 
		function getImage() { 
		    var c = plus.camera.getCamera(); 
		    c.captureImage(function(e) { 
		        plus.io.resolveLocalFileSystemURL(e, function(entry) { 
		            var s = entry.toLocalURL() + "?version=" + new Date().getTime(); 
		            uploadHead(s,options); /*上传图片*/ 
		        }, function(e) { 
		            console.log("读取拍照文件错误：" + e.message); 
		        }); 
		    }, function(s) { 
		        console.log("error" + s); 
		    }, { 
		        filename: "_doc/head.png" 
		    }) 
		} 
		
		//本地相册选择 
		function galleryImg() { 
		    plus.gallery.pick(function(a) { 
		        plus.io.resolveLocalFileSystemURL(a, function(entry) { 
		            plus.io.resolveLocalFileSystemURL("_doc/", function(root) { 
		                root.getFile("head.png", {}, function(file) { 
		                    //文件已存在 
		                    file.remove(function() { 
		                        console.log("file remove success"); 
		                        entry.copyTo(root, 'head.png', function(e) { 
		                                var e = e.fullPath + "?version=" + new Date().getTime(); 
		                                uploadHead(e, options); /*上传图片*/ 
		                                //变更大图预览的src 
		                                //目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现 
		                            }, 
		                            function(e) { 
		                                console.log('copy image fail:' + e.message); 
		                            }); 
		                    }, function() { 
		                        console.log("delete image fail:" + e.message); 
		                    }); 
		                }, function() { 
		                    //文件不存在 
		                    entry.copyTo(root, 'head.png', function(e) { 
		                            var path = e.fullPath + "?version=" + new Date().getTime(); 
		                            uploadHead(path, options); /*上传图片*/ 
		                        }, 
		                        function(e) { 
		                            console.log('copy image fail:' + e.message); 
		                        }); 
		                }); 
		            }, function(e) { 
		                console.log("get _www folder fail"); 
		            }) 
		        }, function(e) { 
		            console.log("读取拍照文件错误：" + e.message); 
		        }); 
		    }, function(a) {}, { 
		        filter: "image" 
		        }) 
		    }; 
		    
		
		    //将图片压缩转成base64 
		function getBase64Image(img, options, Orientation) {
		    var canvas = document.createElement("canvas"); 
		    var width = img.width; 
		    var height = img.height;

		    // calculate the width and height, constraining the proportions 
		    if (width > height) { 
		        if (width > 100) { 
		            height = Math.round(height *= 100 / width); 
		            width = 100; 
		        } 
		    } else { 
		        if (height > 100) { 
		            width = Math.round(width *= 100 / height); 
		            height = 100; 
		        } 
		    } 
		    
		    if(typeof arguments[1] === 'object'){
		    	width = options.width;
		    	height = options.height;
		    }
		    canvas.width = width;   /*设置新的图片的宽度*/ 
		    canvas.height = height; /*设置新的图片的长度*/
		    var ctx = canvas.getContext("2d");
		    var degree;//弧度
		    
		    //处理iphone旋转问题
	        if (navigator.userAgent.match(/iphone/i)) {   
	            //如果方向角不为1,都需要进行旋转,ios10.2版本取Orientation为undefined
	            if(Orientation !== "" && Orientation !== 1 && Orientation !== undefined ){  
	                //'旋转处理'
	                //alert(Orientation);
	                switch(Orientation){
	                	case 0:
	                		ctx.drawImage(img, 0, 0, width, height);
	                		break;
	                    case 6://需要顺时针（向左）90度旋转  
	                    	degree = 90 * Math.PI / 180;
	                    	ctx.rotate(degree); 
	                        ctx.drawImage(img, 0, -height, width, height);
	                        break;  
	                    case 8://需要逆时针（向右）90度旋转 
	                    	degree = 270 * Math.PI / 180;
	                    	ctx.rotate(degree); 
	                        ctx.drawImage(img, -width, -height, width, height);
	                        break;  
	                    case 3://需要180度旋转  
	                        degree = 270 * Math.PI / 180;
	                    	ctx.rotate(degree);
	                    	ctx.rotate(degree);
	                    	ctx.drawImage(img, -width, 0, width, height);
	                        break;  
	                }         
	            }else{
	            	ctx.drawImage(img, 0, 0, width, height);
	            }
	        }else{
		       ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	        }
		    var dataURL = canvas.toDataURL("image/png", 0.8); 
		    return dataURL.replace("data:image/png;base64,", ""); 
		}    
	});
}

