var SFA;
var appUninstallList = {};//未安装app列表
var appInstallList = {};//已安装app列表
var installBox = document.getElementById('installBox');
var uninstallBox = document.getElementById('uninstallBox');
var localAppObj;//本地数据
var remoteAppObj;//远程数据
var checkUrl = location1 + "/mobile/client/getVersionNumber.action";

//plus对象准备完毕
mui.plusReady(function(){
	//初始化渲染界面
//	mui.ajax(location1 + '',{
//		dataType:'jsonp',//服务器返回json格式数据
//		type:'get',//HTTP请求类型
//		timeout:10000,//超时时间设置为10秒；              
//		success:function(data){
//			
//		},
//		error:function(xhr,type,errorThrown){
//			console.log("请求数据出错");
//		}
//	});
	SFA = new ASG.SFA();
	SFA.getAppDir(initView);
	
	//初始化界面
	function initView(){
		SFA.filterApp(filterAppCallBack);//已经安装的app数组

		function filterAppCallBack(){
			var appVersion;
			localAppObj = SFA.appVersion;//{"ubaby":{"version":"","isNew":false,"isWarn":true}}
			//console.log('localAppObj:' + JSON.stringify(localAppObj));
			if(localAppObj.ubaby === undefined ){
				appVersion = "";
			}else{
				appVersion = localAppObj.ubaby.version;
			}
			/*
			remoteAppObj = {
				"ubaby" : { "version":"1.0.0","download_url":"http://139.129.194.134:8021/ubaby.zip","icon_url":"../img/suite/ubaby.jpg","name":"U小宝" }
			};
			*/
			$.ajax({
				type: "post",
				url: checkUrl,
				dataType: 'jsonp',
				jsonp: 'callback',
				async: false,
				data: {
					mobileSystem: 'Ubaby',
					currentVersion: appVersion
				},
				success: function(data) {
					if(data.status === 0){//成功
						if(data.isNew === 0){//有更新
							if(data.versionNumber !== appVersion){//有最新的u小宝
								remoteAppObj = {
									"ubaby" : { "version": data.versionNumber ,"download_url": $.trim(data.URL),"icon_url":"../img/suite/ubaby.jpg","name":"U小宝" }
								};
							}
						}else{
							remoteAppObj = {
								"ubaby" : { "version": localAppObj.ubaby.version ,"icon_url":"../img/suite/ubaby.jpg","name":"U小宝" }
							};
						}
						appListHtmlFun(localAppObj,remoteAppObj);
						
						//点击下载
						mui('.app-item').on('tap','.downLoad',downLoadFun);
						//点击暂停
						mui('.app-item').on('tap','.pause',pauseFun);
						//点击卸载
						mui('.app-item').on('tap','.uninstall',uninstallFun);
					}
					//console.log('ubaby:' + JSON.stringify(data));
					//{"status":0,"msg":"成功","contents":"","version":0,"isNew":0,"versionNumber":"0.0.1","URL":"http://139.129.194.134:8021/ubaby.zip "}
				},
				error: function(data) {
					//mui.toast('请求失败');
				}
			});
			
		}
	}
	
	//处理本地和远程数据,并且组合成html
	function appListHtmlFun(localData,remoteData){
		var appName;
		//console.log(JSON.stringify(SFA.appVersion));
		
		for(var i in remoteData){
			appName = i;
			if(localData[appName] === undefined){//未安装app
				appInstallList[appName] = remoteData[appName];
				appInstallList[appName]['appName'] = appName;
				appInstallList[appName]['isNew'] = false;//是否是最新的版本
				appInstallList[appName]['isWarn'] = false;//是否需要提醒更新
				appInstallList[appName]['isInstalled'] = false;//没有被安装过
			}else{//已安装的app
				//判断版本
				if(localData[appName]['version'] === remoteData[appName]['version']){
					appUninstallList[appName] = remoteData[appName];
					appUninstallList[appName]['appName'] = appName;
					appUninstallList[appName]['isNew'] = true;//是否是最新的版本
					appUninstallList[appName]['isWarn'] = false;//是否需要提醒更新
					appUninstallList[appName]['isInstalled'] = true;//被安装过
				}else{
					appInstallList[appName] = remoteData[appName];
					appInstallList[appName]['appName'] = appName;
					appInstallList[appName]['isNew'] = false;//是否是最新的版本
					appInstallList[appName]['isWarn'] = true;//是否需要提醒更新
					appInstallList[appName]['isInstalled'] = true;//被安装过
				}
			}
		}
		//console.log("已安装:" + JSON.stringify(appUninstallList));
		//console.log("未安装:" + JSON.stringify(appInstallList));
		
		//在已安装容器中渲染已经安装的最新的app卸载列表
		for(var j in appUninstallList){
			uninstallBox.appendChild(getUninstallHtml(appUninstallList[j]));
		}

		//在未安装容器中渲染需要更新和下载的app列表
		for(var k in appInstallList){
			installBox.appendChild(getInstallHtml(appInstallList[k]));
		}
		
	}
	
	//查看目录
	mui('body').on('tap','#showProot',function(){
//		alert(SFA.appDir);
//		alert(SFA.filterApp());
		SFA.showProot();
	});
	
	//清除目录
	mui('body').on('tap','#clearDownloadDir',function(){
		SFA.clearDownloadDir();
	});
	
	//返回功能 不删除webview
	mui('body').on('tap', '.mui-my-back', function(){
		var checkState = SFA.checkState();
		//console.log('checkState:' + checkState); 
		if(checkState){//如果任务都下载完毕
			plus.webview.close('suite','slide-out-right');
		}else{//如果还有没有下载完毕的任务
			mui.toast("模块尚未下载完毕请稍后再试");
			return false;
			plus.webview.hide('suite','slide-out-right');
		}
		//console.log('suite webview:' + plus.webview.all().length);
	})
})

//下载执行方法
function downLoadFun(){
	var appName = this.getAttribute('appName');
	var itemNode = document.getElementById('app-item-' + appName);//这个app显示的整行容器
	var uninstallBox = document.getElementById('uninstallBox');//卸载列表容器
	var downloadNode = document.getElementById('downLoad-' + appName);//下载按钮
	var pauseNode = document.getElementById('pause-' + appName);//暂停按钮
	var percentNode = document.getElementById('percent-' + appName);//百分比
	var download_url = remoteAppObj[appName]['download_url'];
	var _html = "";
	_html = getUninstallHtml(remoteAppObj[appName]);
	downloadNode.style.display = "none";//隐藏下载按钮
	pauseNode.style.display = "block";//显示暂停按钮
	//console.log("下载app:" + appName);
    //SFA.download("ubaby","http://139.129.194.134:8021/ubaby.zip",downLoadSuccess,loading);
    SFA.download(appName,download_url,downLoadSuccess,loading);
    
	//下载成功执行回调
	function downLoadSuccess(){
		var myWork = plus.webview.getWebviewById('myWork.html');
		itemNode.parentNode.removeChild(itemNode);//卸载成功删除自身
		uninstallBox.appendChild(_html);//往卸载列表容器中添加这个app
		
		//重新绑定卸载事件
		mui('.app-item').off('tap','.uninstall',uninstallFun);
		mui('.app-item').on('tap','.uninstall',uninstallFun);
		
		mui.fire(myWork,"changeStatus",{"action" : "install","appName" : appName});
	}
	
	//进度显示
	function loading(downloadedSize,totalSize){
		var p = downloadedSize/totalSize * 100;
		percentNode.innerHTML = p.toFixed(2) + "%";
	}
	
}

//暂停执行方法
function pauseFun(){
	var appName = this.getAttribute('appName');
	var downloadNode = document.getElementById('downLoad-' + appName);//下载按钮
	var pauseNode = document.getElementById('pause-' + appName);//暂停按钮
	downloadNode.style.display = "block";//显示下载按钮
	pauseNode.style.display = "none";//隐藏暂停按钮
	//console.log("继续下载app:" + appName);
	SFA.pause(appName);
}

//卸载执行方法
function uninstallFun(){
	var appName = this.getAttribute('appName');
	var itemNode = document.getElementById('app-item-' + appName);//这个app显示的整行容器
	var installBox = document.getElementById('installBox');//下载列表容器
	var myWork = plus.webview.getWebviewById('myWork.html');
	var _html = "";
	
	remoteAppObj[appName]['isNew'] = true;//是否是最新的版本
	remoteAppObj[appName]['isWarn'] = false;//是否需要提醒更新
	remoteAppObj[appName]['isInstalled'] = false;//没有被安装过
	_html = getInstallHtml(remoteAppObj[appName]);
	
	SFA.uninstall(appName);
	
	//卸载成功执行
	itemNode.parentNode.removeChild(itemNode);//卸载成功删除自身
	installBox.appendChild(_html);//往下载列表容器中添加这个app
	
	//重新绑定事件
	mui('.app-item').off('tap','.downLoad',downLoadFun);
	mui('.app-item').on('tap','.downLoad',downLoadFun);
	mui('.app-item').off('tap','.pause',pauseFun);
	mui('.app-item').on('tap','.pause',pauseFun);
	
	mui.fire(myWork,"changeStatus",{"action" : "uninstall","appName" : appName});
	mui.back();
	//console.log("卸载成功app:" + appName);

}

//获取已经安装列表的html结构
function getInstallHtml(obj){
	var _html = "",node,text = "";
	node = document.createElement('div');
	node.className = "app-item";
	node.id = "app-item-" + obj.appName;
	
	if(obj.isNew === false && obj.isInstalled === true){
		text = "更新";
	}else{
		text = "下载";
	}
	_html = '<img src="' + obj.icon_url + '" alt="' + obj.name + '" />' +
			'<span class="title">' + obj.name + '</span>' +
			'<button class="downLoad" appName="' + obj.appName + '" id="downLoad-' + obj.appName + '">' + text + '</button>' +
			'<button class="pause" appName="' + obj.appName + '" id="pause-' + obj.appName + '">暂停</button>' + 
			'<span class="percent" id="percent-' + obj.appName + '"></span>';
	node.innerHTML = _html;
	return node;
}

//获取未安装列表的html结构
function getUninstallHtml(obj){
	var _html = "",node;
	node = document.createElement('div');
	node.className = "app-item";
	node.id = "app-item-" + obj.appName;
	_html = '<img src="' + obj.icon_url + '" alt="' + obj.name + '" />' +
			'<span class="title">' + obj.name + '</span>' +
			'<button class="uninstall" appName="' + obj.appName + '" id="uninstall-' + obj.appName + '">卸载</button>';
	node.innerHTML = _html;		
	return node;
}
//渲染页面模拟结束=======================================



